import tkinter as tk
from priceLibrary import *
from menuBar import *
from optionBar import *
from taskTree import *

class Application(tk.Frame):
	""" Il s'agit de la classe de base permettant de lancer l'application et la GUI tkInter"""
	
	def __init__(self, master=None):
		tk.Frame.__init__(self, master)
		self.grid(sticky=tk.N+tk.S+tk.E+tk.W)
		self.createWidgets()
		
	def createWidgets(self):
		#redimensionnement de la fenêtre
		top = self.winfo_toplevel()
		top.columnconfigure(0,weight=1)
		top.rowconfigure(0,weight=1)
		self.columnconfigure(3,weight=1)
		self.rowconfigure(2,weight=1)
		
		#creation de la menubar
		self.menuBar = MenuBar(self)
		
		#creation de la optionbar
		self.optionBar = OptionBar(self)
		
	
		
		#creation de la bibli
		self.pricelib = PriceLibrary(self)
		
		#creation du tasktree
		self.taskTree = TaskTree(self)
		
 
app = Application(tk.Tk())
app.master.title("Gestion")
app.mainloop()



