import tkinter as tk

class PriceLibrary(tk.Frame):
	""" Classe gérant les données et l'affichage de la bibliothèque de prix
		Elle contient la bibliothèque elle-même ainsi que le panneau permettant l'ajout de prix à cette bibli"""
		
	def __init__(self, master=None):
		tk.Frame.__init__(self, master, bg="green", width = 100)
		self.grid(sticky=tk.N+tk.S+tk.E+tk.W)
		self.parent = master
		
		self.rowconfigure(0,weight=1)
		self.columnconfigure(1,weight=1)
		
		self.frame1 = tk.Frame(self, bg="orange", width = 100)		
		self.frame1.grid_propagate(0)
		self.frame2 = tk.Frame(self, bg = "blue")
		self.frame2.grid_propagate(0)
		self.frame1.grid(sticky=tk.N+tk.S+tk.W+tk.E)
		self.frame2.grid(column=1, row = 0, sticky=tk.N+tk.S+tk.W+tk.E)
		
		tk.Button(self.frame1, text="test").grid()
		tk.Button(self.frame2, text="test").grid()
		
		#booléen indiquant si le panneau est déroulé
		self.reduced = True
		
		#creation du bouton
		self.bouton = tk.Button(self, text="extend", command=self.extend)
		self.bouton.grid(column=2, row = 0)
		
		
	def extend(self):
		""" Fonction permettant de dérouler le panneau d'ajout de prix à la bibliothèque""" 
		
		if not self.reduced:
			self.reduce()
		else:
			largeur = self.frame2.winfo_width()
			if largeur < self.winfo_toplevel().winfo_width()-385:
				self.frame2["width"]=largeur+35
				self.after(5,self.extend) # after permet de réaliser un panneau déroulant, au lieu d'un panneau qui s'affiche directement
			else:
				self.bouton["text"]="reduce"
				self.frame2["width"]=self.winfo_toplevel().winfo_width()-350
				self.reduced = False
		
		self.winfo_toplevel().update_idletasks()
				
	def reduce(self):
		""" Fonction permettant de cacher le panneau d'ajout de prix à la bibliothèque""" 
	
		largeur = self.frame2.winfo_width()
		self.reduced = True
		if largeur > 35:
			self.frame2["width"]=largeur-35
			self.after(5,self.reduce) 
		else:
			self.bouton["text"]="extend"
			self.frame2["width"]=1
		
		self.master.taskTree.update_idletasks()



